import cn.hutool.crypto.digest.DigestAlgorithm;
import cn.hutool.crypto.digest.Digester;
import org.junit.jupiter.api.Test;


public class TestCase {

    @Test
    public void test1(){
        Digester MD5 = new Digester(DigestAlgorithm.MD5);
        String mobile = "15071072750";
        String password=  "1234";
        String s = MD5.digestHex(password.concat(MD5.digestHex(mobile).substring(0, 5)));
        System.out.println(s);
    }
}
